typedef struct UserInfo UserInfo;
typedef unsigned int uint;

typedef struct Cart {
  char name[32];
  char* rom;
  char* txt_data;
  char* sprite_data;
  char* audio_data;
} Cart;

Cart* create_cart(char* name);
Cart* find_cart(UserInfo* table, char* name);
uint count_carts(UserInfo* table, char* name);
void destroy_cart(Cart* self);