typedef struct Cart Cart;
typedef struct Realm Realm;
typedef struct UserInfo {
  char name[32];
  uvlong password;
  Cart* cart;
  Realm* realm;
} UserInfo;

UserInfo* find_user(UserInfo* table, char* uname);
int load_cart(UserInfo* table, char* uname, char* cart_name);
int enter_realm(UserInfo* table, char* uname, char* realm_name);
int leave_realm(UserInfo* table, char* uname);
int unload_cart(UserInfo* table, char* uname);
